package entry;

import optics.view.PlayerController;
import pathtracing.Pathtracer;
import raytracing.Raytracer;
import renderer.Display;
import renderer.Renderer;
import renderer.Resolution;

public class Main {

    public static void main(String[] args) {

        Resolution resolution = new Resolution(800, 800, 4);

        PlayerController controller = new PlayerController();

        Display display = new Display(resolution, controller);

        Renderer raytracer = new Pathtracer();

        display.start(raytracer, controller);
    }
}
